Bug 486565 - rpm -Uvh does not consider obsoletes
rpm -Uvh does not consider obsoletes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 05:58 EST by Nicolas Mailhot
Modified: 2011-01-19 09:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-19 09:27:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-02-20 05:58:26 EST
rpm forgets to look at obsoletes when installing/updating a package.

As a result it will happily install an obsoleted package on a system that already includes the package that obsoletes it

This should at minima be treated as a conflict. If a packager declared his package obsoletes some other package, he does not expect them to be installed on the same system. That will usually result in breakage.

rpm-4.6.0-5.fc11.x86_64
Comment 1 Nicolas Mailhot 2009-02-20 06:12:26 EST
(see also yum bug #486566)
Comment 2 Jeff Johnson 2009-02-20 19:14:28 EST
Obsoletes are not saved persistently, and are applied only as an event in the current
transaction. RPM has always behaved this way ...
Comment 3 Bug Zapper 2009-06-09 07:32:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Panu Matilainen 2010-03-18 09:44:07 EDT
This is now implemented upstream. No plans to backport this to existing releases though, as its quite a significant behavior change, Fedora will get it through next major rpm update (possibly in F14 timeframe)
Comment 5 Nicolas Mailhot 2010-03-19 05:57:01 EDT
Thanks for the fixing!
Comment 6 Panu Matilainen 2011-01-19 09:27:10 EST
Fixed in rawhide as of rpm-4.9.0-0.beta1.1.fc15.

Note You need to log in before you can comment on or make changes to this bug.